From c47775a95d8e139a2f234063793eb6726f830510 Mon Sep 17 00:00:00 2001
From: Christoph Haag <christoph.haag@collabora.com>
Date: Mon, 19 Apr 2021 13:04:59 +0200
Subject: [PATCH] comp: Fix warning after Vulkan 1.2.174 VK_NULL_HANDLE change

../src/xrt/compositor/main/comp_layer_renderer.c:317:17: warning: initialization of 'unsigned int' from 'void *' makes integer from pointer without a cast [-Wint-conversion]
  317 |      .subpass = VK_NULL_HANDLE,
      |                 ^~~~~~~~~~~~~~
---
 src/xrt/compositor/main/comp_layer_renderer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/xrt/compositor/main/comp_layer_renderer.c b/src/xrt/compositor/main/comp_layer_renderer.c
index c59232a94..d8a0a6321 100644
--- a/src/xrt/compositor/main/comp_layer_renderer.c
+++ b/src/xrt/compositor/main/comp_layer_renderer.c
@@ -314,7 +314,7 @@ _init_graphics_pipeline(struct comp_layer_renderer *self,
 	                    VK_DYNAMIC_STATE_SCISSOR,
 	                },
 	        },
-	    .subpass = VK_NULL_HANDLE,
+	    .subpass = 0,
 	};
 
 	VkResult res;
-- 
GitLab

